# LSB Test Execution Framework
# Expect test module
#
# Copyright (C) 2007 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF with some parts
# derived from lsb-autotest written by Jiri Dluhos <jdluhos@suse.cz>
# Copyright (C) 2005-2007 SuSE Linux Products GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

package Expect_test;
use strict;

use Common;
use Packages;

require Tests::Test_common;
@Expect_test::ISA = qw(Test_common);

=head ##
Class Expect_test Inherits Test_common;
=cut ##

sub new {
    my $self  = Test_common->new();
    $self->{NAME} = "expect";
    $self->{DISPLAYNAME} = "Expect Tests";
    $self->{DESCRIPTION} = "LSB Application Battery Functional Tests for Expect,"
        ." a program that 'talks' to other programs.";
    $self->{FILES} .= " expect-tests.tar";
    $self->{PACKAGES} .= " lsb-tcl lsb-expect";
    $self->{SOURCES} .= " appbat test_data";
    $self->{BETA_SOURCES} .= " appbat";
    $self->{SNAPSHOT_SOURCES} .= " appbat";

    bless($self);
    return $self;
}


sub run {
    my $self = shift;
    
    unless ( -d "/tmp/lsb-packages" ) {
        cmd("mkdir -p /tmp/lsb-packages");
    }
    run_command("cd /tmp/lsb-packages".
         " && ln -s -f \"$package_dir/app-battery/tests/expect-tests.tar\""
        );
    
    Test_common::run($self);
}

sub journal {
    my $self = shift;
    
    store_journal_info(
        "Certification Tests/Automated Application Battery Tests/Expect Tests"
        , "expect", "$results_dir/test_journals/expect.tcljournal", $self);
}

1; # return value
