# LSB Test Execution Framework
# Raptor test module
#
# Copyright (C) 2007 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF with some parts
# derived from lsb-autotest written by Jiri Dluhos <jdluhos@suse.cz>
# Copyright (C) 2005-2007 SuSE Linux Products GmbH
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

package Raptor_test;
use strict;

use Common;
use Packages;

require Tests::Test_common;
@Raptor_test::ISA = qw(Test_common);

=head ##
Class Raptor_test Inherits Test_common;
=cut ##

sub new {
    my $self  = Test_common->new();
    $self->{NAME} = "raptor";
    $self->{DISPLAYNAME} = "Raptor Tests";
    $self->{DESCRIPTION} = "LSB Application Battery Functional Tests for Raptor,"
        ." parsers and serializers for RDF.";
    $self->{FILES} .= " raptor-1.4.8-tests.tar";
    $self->{PACKAGES} .= " lsb-raptor";
    $self->{SOURCES} .= " appbat test_data";
    $self->{BETA_SOURCES} .= " appbat test_data";
    $self->{SNAPSHOT_SOURCES} .= " appbat test_data";

    bless($self);
    return $self;
}

sub is_available {
    my $self = shift;
    if ( $lsb_version lt "3.1" ) {
        return 0;
    }
    return Test_common::is_available($self);
}

sub run {
    my $self = shift;
    
    unless ( -d "/tmp/lsb-packages" ) {
        cmd("mkdir -p /tmp/lsb-packages");
    }
    cmd ("cd /tmp/lsb-packages".
         " && ln -s -f \"$package_dir/app-battery/tests/raptor-1.4.8-tests.tar\""
        );
    
    Test_common::run($self);
}

sub journal {
    my $self = shift;
    
    store_journal_info(
        "Certification Tests/Automated Application Battery Tests/Raptor Tests"
        , "raptor", "$results_dir/test_journals/raptor.raptorjournal", $self);
}

1; # return value
